# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "obws"
version = "0.6.0"
authors = ["Dominik Nakamura <dnaka91@gmail.com>"]
description = "The obws (obvious) remote control library for OBS."
homepage = "https://github.com/dnaka91/obws"
readme = "README.md"
keywords = ["async", "obs", "obs-websocket", "remote-control", "tokio"]
categories = ["api-bindings", "web-programming"]
license = "MIT"
repository = "https://github.com/dnaka91/obws"
[package.metadata.docs.rs]
features = ["events", "tls"]

[[example]]
name = "events"
required-features = ["events"]

[[test]]
name = "media_control"
required-features = ["events"]

[[test]]
name = "recording"
required-features = ["events"]
[dependencies.async-stream]
version = "0.3.0"
optional = true

[dependencies.base64]
version = "0.13.0"

[dependencies.bitflags]
version = "1.2.1"

[dependencies.chrono]
version = "0.4.19"
features = ["std"]
default-features = false

[dependencies.either]
version = "1.6.1"
features = ["serde"]

[dependencies.futures-util]
version = "0.3.13"
features = ["sink"]

[dependencies.log]
version = "0.4.14"

[dependencies.rgb]
version = "0.8.25"
default-features = false

[dependencies.semver]
version = "0.11.0"
features = ["serde"]

[dependencies.serde]
version = "1.0.123"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.64"

[dependencies.serde_with]
version = "1.6.4"

[dependencies.sha2]
version = "0.9.3"

[dependencies.thiserror]
version = "1.0.24"

[dependencies.tokio]
version = "1.2.0"
features = ["net", "rt", "sync"]

[dependencies.tokio-tungstenite]
version = "0.14.0"
[dev-dependencies.anyhow]
version = "1.0.38"

[dev-dependencies.dotenv]
version = "0.15.0"

[dev-dependencies.pretty_env_logger]
version = "0.4.0"

[dev-dependencies.serde_test]
version = "1.0.123"

[dev-dependencies.tokio]
version = "1.2.0"
features = ["fs", "macros", "rt-multi-thread", "time"]

[features]
default = []
events = ["async-stream"]
test-integration = []
tls = ["tokio-tungstenite/rustls-tls"]
